## libtext-sass-perl 1.0.3

=== Makefile ===
MAJOR    ?= 1
MINOR    ?= 0
PATCH    ?= 3
CODENAME ?= $(shell lsb_release -cs)
MD5SUM    = md5sum
SEDI      = sed -i

ifeq ($(shell uname), Darwin)
        MD5SUM = md5 -r
        SEDI   = sed -i ""
endif

all:	setup
	./Build

versions:
	find lib bin -type f -exec perl -i -pe 's/VERSION\s+=\s+q[[\d.]+]/VERSION = q[$(MAJOR).$(MINOR).$(PATCH)]/g' {} \;

setup: versions
	perl Build.PL

manifest: setup
	./Build manifest

clean:	setup
	./Build clean
	touch tmp
	rm -rf build.tap *META*yml _build Build blib cover_db *gz *deb *rpm tmp MANIFEST.bak

test:	all
	TEST_AUTHOR=1 ./Build test verbose=1

cover:	clean setup
	HARNESS_PERL_SWITCHES=-MDevel::Cover prove -Ilib t -MDevel::Cover
	cover -ignore_re t/

install:	setup
	./Build install

dist:	setup
	./Build dist

deb:	manifest
	make test
	touch tmp
	rm -rf tmp
	mkdir -p tmp/usr/lib/perl5
	cp -pR deb-src/* tmp/
	cp tmp/DEBIAN/control.tt2 tmp/DEBIAN/control
	$(SEDI) "s/MAJOR/$(MAJOR)/g" tmp/DEBIAN/control
	$(SEDI) "s/MINOR/$(MINOR)/g" tmp/DEBIAN/control
	$(SEDI) "s/PATCH/$(PATCH)/g" tmp/DEBIAN/control
	$(SEDI) "s/RELEASE/$(RELEASE)/g" tmp/DEBIAN/control
	$(SEDI) "s/CODENAME/$(CODENAME)/g" tmp/DEBIAN/control
	rsync --exclude .svn --exclude .git -va lib/* tmp/usr/lib/perl5/
	rsync --exclude .svn --exclude .git -va bin/* tmp/usr/bin/
	find tmp -type f ! -regex '.*\(\bDEBIAN\b\|\.\bsvn\b\|\bdeb-src\b\|\.\bgit\b\|\.\bsass-cache\b\|\.\bnetbeans\b\).*'  -exec $(MD5SUM) {} \; | sed 's/tmp\///' > tmp/DEBIAN/md5sums
	(cd tmp; fakeroot dpkg -b . ../libtext-sass-perl-$(MAJOR).$(MINOR)-$(PATCH)~$(CODENAME).deb)

cpan:	clean
	make dist
	cpan-upload Text-Sass-v$(MAJOR).$(MINOR).$(PATCH).tar.gz

## libtext-sass-perl 0.5

=== debian/changelog ===
libtext-sass-perl (0.5-1) unstable; urgency=low

  * Initial release. Closes: bug#581638.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 May 2010 17:13:15 +0200

=== debian/control ===
Source: libtext-sass-perl
Section: perl
Priority: optional
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.78~),
 debhelper (>= 6),
 libreadonly-perl,
 libtest-distribution-perl,
 libtest-perl-critic-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libtext-sass-perl.git
Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libtext-sass-perl.git;a=summary
Homepage: http://search.cpan.org/dist/Text-Sass/

Package: libtext-sass-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Description: implementation of the Sass CSS meta-language
 Sass is a meta-language on top of CSS that’s used to describe the style
 of a document cleanly and structurally, with more power than flat CSS
 allows.  Sass both provides a simpler, more elegant syntax for CSS and
 implements various features that are useful for creating manageable
 stylesheets.
 .
 This is a Perl implementation of Sass.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2010, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Text-Sass
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_PACKAGE = Text-Sass
#DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
DEB_UPSTREAM_URL = http://search.cpan.org/CPAN/authors/id/R/RP/RPETTETT
DEB_UPSTREAM_TARBALL_MD5 = d69e294d7d8f84d7d1a5d11b214198e6

# Needed both by upstream build process and at runtime
common-depends = libreadonly-perl
CDBS_BUILD_DEPENDS += , $(common-depends)
CDBS_DEPENDS = $(common-depends)

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , libtest-distribution-perl, libtest-perl-critic-perl

CDBS_RECOMMENDS = libreadonly-xs-perl

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://search.cpan.org/dist/Text-Sass/   .*/Text-Sass-(\d[\d.]+)\.tar\.gz debian

## libtext-sass-perl 0.9.1

=== debian/changelog ===
libtext-sass-perl (0.9.1-1) unstable; urgency=low

  * New upstream release:
    + Support added for SCSS format!
  * (Build-)depend on libconvert-color-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2010 11:12:33 +0100

libtext-sass-perl (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Mangle upstream version string to suppress 'v' affix.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Shorten control file Vcs-* fields.
  * Bump Policy compliance to standards-version 3.9.1.
  * Build-depend on libtry-tiny-perl.
  * Strip suffix from new CLI tool sass2css.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Oct 2010 01:05:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: perl
 Priority: optional
 Build-Depends: devscripts (>= 2.10.7~),
- dh-buildinfo,
  perl,
  perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
  cdbs (>= 0.4.78~),
  debhelper (>= 6),
+ dh-buildinfo,
  libreadonly-perl,
  libtest-distribution-perl,
- libtest-perl-critic-perl
+ libtest-perl-critic-perl,
+ libtry-tiny-perl (>= 0.06),
+ libconvert-color-perl (>= 0.05)
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.8.4
-Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libtext-sass-perl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libtext-sass-perl.git;a=summary
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libtext-sass-perl
+Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libtext-sass-perl.git
 Homepage: http://search.cpan.org/dist/Text-Sass/
 
 Package: libtext-sass-perl

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,11 @@
 DEB_UPSTREAM_PACKAGE = Text-Sass
 #DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
 DEB_UPSTREAM_URL = http://search.cpan.org/CPAN/authors/id/R/RP/RPETTETT
-DEB_UPSTREAM_TARBALL_MD5 = d69e294d7d8f84d7d1a5d11b214198e6
+DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-(\d)/-v$$1/
+DEB_UPSTREAM_TARBALL_MD5 = 2bf1ce46efc17c6415b1d0fa18a0bea8
+
+common-binary-post-install-indep::
+	mv $(DEB_DESTDIR)usr/bin/sass2css.pl $(DEB_DESTDIR)usr/bin/sass2css
 
 # Needed both by upstream build process and at runtime
 common-depends = libreadonly-perl
@@ -32,6 +36,6 @@
 CDBS_DEPENDS = $(common-depends)
 
 # Needed by upstream tests
-CDBS_BUILD_DEPENDS += , libtest-distribution-perl, libtest-perl-critic-perl
+CDBS_BUILD_DEPENDS += , libtest-distribution-perl, libtest-perl-critic-perl, libtry-tiny-perl (>= 0.06), libconvert-color-perl (>= 0.05)
 
 CDBS_RECOMMENDS = libreadonly-xs-perl

## libtext-sass-perl 0.9.2

=== debian/changelog ===
libtext-sass-perl (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Fix declare recommends.
  * Update copyright file:
    + Rewrite using Subversion rev.173 of draft DEP5 format.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 16:08:12 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Package: libtext-sass-perl
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
+Recommends: ${cdbs:Recommends}
 Description: implementation of the Sass CSS meta-language
  Sass is a meta-language on top of CSS that’s used to describe the style
  of a document cleanly and structurally, with more power than flat CSS

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 #DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
 DEB_UPSTREAM_URL = http://search.cpan.org/CPAN/authors/id/R/RP/RPETTETT
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-(\d)/-v$$1/
-DEB_UPSTREAM_TARBALL_MD5 = 2bf1ce46efc17c6415b1d0fa18a0bea8
+DEB_UPSTREAM_TARBALL_MD5 = 0e04e38b779f4389f6e88fd5333d11ce
 
 common-binary-post-install-indep::
 	mv $(DEB_DESTDIR)usr/bin/sass2css.pl $(DEB_DESTDIR)usr/bin/sass2css

## libtext-sass-perl 0.93

=== debian/changelog ===
libtext-sass-perl (0.93-1) unstable; urgency=low

  * New upstream release.

  [ gregor herrmann ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Florian Schlichting ]
  * Bump Standards-Version to 3.9.2.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Bump format to latest draft of DEP-5.
    + Quote license names in comments.
  * Update package relations:
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).
  * Bump debhelper compat level to 7.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Jan 2012 22:59:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libtext-sass-perl
 Section: perl
 Priority: optional
-Build-Depends: devscripts (>= 2.10.7~),
+Build-Depends: devscripts,
  perl,
  perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
  cdbs (>= 0.4.78~),
- debhelper (>= 6),
+ debhelper,
  dh-buildinfo,
  libreadonly-perl,
  libtest-distribution-perl,
@@ -14,7 +14,7 @@
  libconvert-color-perl (>= 0.05)
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libtext-sass-perl
 Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libtext-sass-perl.git
 Homepage: http://search.cpan.org/dist/Text-Sass/

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,7 @@
 DEB_UPSTREAM_PACKAGE = Text-Sass
 #DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
 DEB_UPSTREAM_URL = http://search.cpan.org/CPAN/authors/id/R/RP/RPETTETT
-DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-(\d)/-v$$1/
-DEB_UPSTREAM_TARBALL_MD5 = 0e04e38b779f4389f6e88fd5333d11ce
+DEB_UPSTREAM_TARBALL_MD5 = d1f175d779fd276bb47d59f29e4ad5fd
 
 common-binary-post-install-indep::
 	mv $(DEB_DESTDIR)usr/bin/sass2css.pl $(DEB_DESTDIR)usr/bin/sass2css

## libtext-sass-perl 0.95

=== debian/changelog ===
libtext-sass-perl (0.95-1) unstable; urgency=low

  * New upstream release.

  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file: Bump format to 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Apr 2012 14:37:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
  libconvert-color-perl (>= 0.05)
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libtext-sass-perl
-Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libtext-sass-perl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libtext-sass-perl.git
 Homepage: http://search.cpan.org/dist/Text-Sass/
 
 Package: libtext-sass-perl

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 DEB_UPSTREAM_PACKAGE = Text-Sass
 #DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
 DEB_UPSTREAM_URL = http://search.cpan.org/CPAN/authors/id/R/RP/RPETTETT
-DEB_UPSTREAM_TARBALL_MD5 = d1f175d779fd276bb47d59f29e4ad5fd
+DEB_UPSTREAM_TARBALL_MD5 = 715865f7d9e422149444f44a1e1ba2ea
 
 common-binary-post-install-indep::
 	mv $(DEB_DESTDIR)usr/bin/sass2css.pl $(DEB_DESTDIR)usr/bin/sass2css

## libtext-sass-perl 0.97

=== debian/changelog ===
libtext-sass-perl (0.97-3) unstable; urgency=low

  * Fix switch order of build-dependency to favor libmodule-build-perl
    over newer-than-unstable perl.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 16:05:30 +0200

libtext-sass-perl (0.97-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump standards-version to 3.9.4.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include recent years.
  * Update package relations:
    + Fix versioned build-dependency on libmodule-build-perl, and favor
      (very) recent perl.
    + Relax to build-depend unversioned on libconvert-color-perl: Needed
      version satisfied even in oldstable.

  [ Salvatore Bonaccorso ]
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 15:41:07 +0200

libtext-sass-perl (0.97-1) unstable; urgency=low

  [ upstream ]
  * New upstream release.
    + comma-separated selectors.
    + scss to css for nested includes.

  [ Jonas Smedegaard ]
  * Bump dephelper compatibility level to 8.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Dec 2012 02:11:32 +0100

libtext-sass-perl (0.96-1) unstable; urgency=low

  * New upstream release.

  * Update package relations:
    + Tighten build-dependency on libmodule-build-perl: Upstream change.
    + Relax to (build-)depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2012 19:42:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: libtext-sass-perl
 Section: perl
 Priority: optional
-Build-Depends: devscripts,
+Build-Depends: cdbs,
+ devscripts,
  perl,
- perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
- cdbs (>= 0.4.78~),
  debhelper,
  dh-buildinfo,
  libreadonly-perl,
+ libmodule-build-perl (>= 0.390000) | perl (>= 5.17.1),
  libtest-distribution-perl,
  libtest-perl-critic-perl,
  libtry-tiny-perl (>= 0.06),
- libconvert-color-perl (>= 0.05)
+ libconvert-color-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libtext-sass-perl
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/git/pkg-perl/packages/libtext-sass-perl
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libtext-sass-perl.git
 Homepage: http://search.cpan.org/dist/Text-Sass/

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010, 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Text-Sass
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = Text-Sass
DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
DEB_UPSTREAM_TARBALL_MD5 = 466c86fa128528d75809f3db3738bd22

binary-post-install/$(pkg)::
	mv $(DEB_DESTDIR)usr/bin/sass2css.pl $(DEB_DESTDIR)usr/bin/sass2css

# Needed by upstream build and (always) at runtime
deps = libreadonly-perl

# Needed by upstream build
deps-build = libmodule-build-perl (>= 0.390000) | perl (>= 5.17.1)

# Needed by upstream tests
deps-test = libtest-distribution-perl, libtest-perl-critic-perl
deps-test +=, libtry-tiny-perl (>= 0.06), libconvert-color-perl

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-build), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps)

CDBS_RECOMMENDS_$(pkg) = libreadonly-xs-perl

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=uversionmangle=s/-v(\d)/-$1/ \
	http://search.cpan.org/dist/Text-Sass/   .*/Text-Sass-v?(\d[\d.]+)\.tar\.gz debian

## libtext-sass-perl 1.0.3

=== debian/changelog ===
libtext-sass-perl (1.0.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2015 13:42:00 +0100

libtext-sass-perl (0.98.0-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Jonas Smedegaard ]
  * Update CDBS hints for upstream tarball.
  * Update copyright info:
    + Add alternate git source URL.
    + Extend copyright of packaging to cover current year.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Sort and newline-delimit dependencies.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2015 16:46:57 +0100

libtext-sass-perl (0.97-6) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Damyan Ivanov ]
  * Mark package as autopkgtest-able
  * Declare compliance with Debian Policy 3.9.6
  * Remove 'perl' alternative from libmodule-build-perl build dependency
  * skip t/00-distribution in smoke tests
  * Mention module name in the long description

 -- Damyan Ivanov <dmn@debian.org>  Thu, 11 Jun 2015 20:45:31 +0000

libtext-sass-perl (0.97-5) unstable; urgency=medium

  * Fix use canonical Vcs-Git URL.
  * Update watch file to use www.cpan.org and metacpan.org URLs (not
    search.cpan.org URL), and drop superfluous version mangling.
  * Update copyright info:
    + Extend coverage of packaging to include current year.
  * Fix favor build-dependency on recent perl over recent
    libmodule-build-perl, and also build-depend unversioned on
    libmodule-build-perl (see bug#752989).
    Thanks to Niko Tyni and Gregor Herrmann.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jul 2014 17:20:24 +0200

libtext-sass-perl (0.97-4) unstable; urgency=medium

  * Fix depend (not only build-depend) on libconvert-color-perl.
  * Bump standards-version to 3.9.5.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Apr 2014 10:29:50 +0200

=== debian/control ===
Source: libtext-sass-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 perl,
 libmodule-build-perl (>= 0.390000),
 debhelper,
 dh-buildinfo,
 libreadonly-perl,
 libconvert-color-perl,
 libtest-distribution-perl,
 libtest-perl-critic-perl,
 libtry-tiny-perl (>= 0.06)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libtext-sass-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libtext-sass-perl
Homepage: http://search.cpan.org/dist/Text-Sass/

Package: libtext-sass-perl
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: ${cdbs:Recommends}
Description: implementation of the Sass CSS meta-language
 Sass is a meta-language on top of CSS that’s used to describe the style
 of a document cleanly and structurally, with more power than flat CSS
 allows.  Sass both provides a simpler, more elegant syntax for CSS and
 implements various features that are useful for creating manageable
 stylesheets.
 .
 Text::Sass is a Perl implementation of Sass.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010, 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Text-Sass
 #
 # This program is free software; you can redistribute it and/or modify
@@ -25,22 +25,26 @@
 
 DEB_UPSTREAM_PACKAGE = Text-Sass
 DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
-DEB_UPSTREAM_TARBALL_MD5 = 466c86fa128528d75809f3db3738bd22
+DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_PACKAGE)-v$(DEB_UPSTREAM_TARBALL_VERSION)
+
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+
+# Newer version needed than autodetected by CDBS
+CDBS_BUILD_DEPENDS_class_perl-build_module-build = libmodule-build-perl (>= 0.390000)
+
+# Needed by upstream build and (always) at runtime
+deps = libreadonly-perl, libconvert-color-perl
+
+# Needed by upstream tests
+deps-test = libtest-distribution-perl, libtest-perl-critic-perl
+deps-test +=, libtry-tiny-perl (>= 0.06)
+
+CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test)
+CDBS_DEPENDS_$(pkg) = $(deps)
+
+CDBS_RECOMMENDS_$(pkg) = libreadonly-xs-perl
 
 binary-post-install/$(pkg)::
 	mv $(DEB_DESTDIR)usr/bin/sass2css.pl $(DEB_DESTDIR)usr/bin/sass2css
-
-# Needed by upstream build and (always) at runtime
-deps = libreadonly-perl
-
-# Needed by upstream build
-deps-build = libmodule-build-perl (>= 0.390000) | perl (>= 5.17.1)
-
-# Needed by upstream tests
-deps-test = libtest-distribution-perl, libtest-perl-critic-perl
-deps-test +=, libtry-tiny-perl (>= 0.06), libconvert-color-perl
-
-CDBS_BUILD_DEPENDS +=, $(deps), $(deps-build), $(deps-test)
-CDBS_DEPENDS_$(pkg) = $(deps)
-
-CDBS_RECOMMENDS_$(pkg) = libreadonly-xs-perl

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://metacpan.org/release/Text-Sass/ .*/Text-Sass-v?(\d[\d.]+)\.tar\.gz
http://www.cpan.org/modules/by-module/Text/Text-Sass-v?(\d[\d.]+)\.tar\.gz

## libtext-sass-perl 1.0.4

=== debian/changelog ===
libtext-sass-perl (1.0.4-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Support single-line comments.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump to file format 4.
    + Watch only MetaCPAN URL.
    + Mention gbp --uscan in usage comment.
  * Drop CDBS get-orig-source target: Use gbp import-orig --uscan.
  * Update copyright info: Extend coverage of Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-Git field: Use https protocol.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2016 23:07:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: cdbs,
- devscripts,
+ licensecheck,
  perl,
  libmodule-build-perl (>= 0.390000),
  debhelper,
@@ -15,9 +15,9 @@
  libtest-distribution-perl,
  libtest-perl-critic-perl,
  libtry-tiny-perl (>= 0.06)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libtext-sass-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libtext-sass-perl
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libtext-sass-perl
 Homepage: http://search.cpan.org/dist/Text-Sass/
 
 Package: libtext-sass-perl

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Text-Sass
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,20 +16,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/perl-build.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
-
-DEB_UPSTREAM_PACKAGE = Text-Sass
-DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Text
-DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_PACKAGE)-v$(DEB_UPSTREAM_TARBALL_VERSION)
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Newer version needed than autodetected by CDBS
 CDBS_BUILD_DEPENDS_class_perl-build_module-build = libmodule-build-perl (>= 0.390000)

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
https://metacpan.org/release/Text-Sass/ .*/Text-Sass-v?(\d[\d.]+)\.tar\.gz
